VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ExchangeViewAnimation Class Reference
Animation » Animation Targets | New classes » Version 4.0

exchange a view by another view with an animation More...

`#include <animations.h>`

Inheritance diagram for ExchangeViewAnimation:

## Public Types
enum | AnimationStyle { kAlphaValueFade = 0 , kPushInFromLeft , kPushInFromRight , kPushInFromTop , kPushInFromBottom , kPushInOutFromLeft , kPushInOutFromRight }

## Public Member Functions
| ExchangeViewAnimation (CView *oldView, CView *newView, AnimationStyle style=kAlphaValueFade)
| oldView must be a subview of the animation view
| ~ExchangeViewAnimation () noexcept override
void | animationStart (CView *view, IdStringPtr name) override
| animation starts
void | animationTick (CView *view, IdStringPtr name, float pos) override
| pos is a normalized value between zero and one
void | animationFinished (CView *view, IdStringPtr name, bool wasCanceled) override
| animation ended
Public Member Functions inherited from IAnimationTarget
virtual | ~IAnimationTarget () noexcept=default
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Protected Member Functions
void | init ()
void | doAlphaFade (float pos)
void | doPushInFromLeft (float pos)
void | doPushInFromRight (float pos)
void | doPushInFromTop (float pos)
void | doPushInFromBottom (float pos)
void | doPushInOutFromLeft (float pos)
void | doPushInOutFromRight (float pos)
void | updateViewSize (CView *view, const CRect &rect)

## Protected Attributes
SharedPointer< CView > | newView
SharedPointer< CView > | viewToRemove
AnimationStyle | style
float | newViewAlphaValueEnd
float | oldViewAlphaValueStart
CRect | destinationRect

## Detailed Description

exchange a view by another view with an animation

see Animations Support

## Member Enumeration Documentation

## ◆ AnimationStyle

enum AnimationStyle

Enumerator
kAlphaValueFade |
kPushInFromLeft |
kPushInFromRight |
kPushInFromTop |
kPushInFromBottom |
kPushInOutFromLeft |
kPushInOutFromRight |

## Constructor & Destructor Documentation

## ◆ ExchangeViewAnimation()

ExchangeViewAnimation | ( | CView * | oldView,
|  | CView * | newView,
|  | AnimationStyle | style = kAlphaValueFade )

oldView must be a subview of the animation view

## ◆ ~ExchangeViewAnimation()

~ExchangeViewAnimation | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ animationFinished()

void animationFinished | ( | CView * | view,
|  | IdStringPtr | name,
|  | bool | wasCanceled )
| override virtual

animation ended

Implements IAnimationTarget.

## ◆ animationStart()

void animationStart | ( | CView * | view,
|  | IdStringPtr | name )
| override virtual

animation starts

Implements IAnimationTarget.

## ◆ animationTick()

void animationTick | ( | CView * | view,
|  | IdStringPtr | name,
|  | float | pos )
| override virtual

pos is a normalized value between zero and one

Implements IAnimationTarget.

## ◆ doAlphaFade()

void doAlphaFade | ( | float | pos | ) |
| protected

## ◆ doPushInFromBottom()

void doPushInFromBottom | ( | float | pos | ) |
| protected

## ◆ doPushInFromLeft()

void doPushInFromLeft | ( | float | pos | ) |
| protected

## ◆ doPushInFromRight()

void doPushInFromRight | ( | float | pos | ) |
| protected

## ◆ doPushInFromTop()

void doPushInFromTop | ( | float | pos | ) |
| protected

## ◆ doPushInOutFromLeft()

void doPushInOutFromLeft | ( | float | pos | ) |
| protected

## ◆ doPushInOutFromRight()

void doPushInOutFromRight | ( | float | pos | ) |
| protected

## ◆ init()

void init | ( |  | ) |
| protected

## ◆ updateViewSize()

void updateViewSize | ( | CView * | view,
|  | const CRect & | rect )
| protected

## Member Data Documentation

## ◆ destinationRect

CRect destinationRect
| protected

## ◆ newView

SharedPointer<CView> newView
| protected

## ◆ newViewAlphaValueEnd

float newViewAlphaValueEnd
| protected

## ◆ oldViewAlphaValueStart

float oldViewAlphaValueStart
| protected

## ◆ style

AnimationStyle style
| protected

## ◆ viewToRemove

SharedPointer<CView> viewToRemove
| protected

The documentation for this class was generated from the following files:

- animations.h
- animations.cpp